<img src="https://cdn.rawgit.com/vulpino/frenchpress/master/logo.svg" width="200" />
# FrenchPress
## A blogging engine that positively must be shared!

![Frenchpress Version](https://img.shields.io/gem/v/frenchpress.svg)

Frenchpress is for blogging using github pages. It's pretty easy to use.

## How?

`gem install frenchpress`  
`cd my_github_site`  
`frenchpress init`  
`frenchpress default`

Now you have a frenchpress blog.

### Posting

Write a post wherever. It doesn't matter. Then,

`frenchpress post cool_post.md`

or,

`frenchpress post cool_code.rb "This code is really cool!"`

or,

`frenchpress post cool_picture.jpg cool_story.md`

or,

`frenchpress post "Hey, does anyone have directions to the cool cafe?"`

or,

`frenchpress post cool_long_post_1.md cool_long_post_2.md cool_long_post_3.md`

### Replying

Frenchpress posts can be replied to.

`frenchpress reply coolblog.name/2015/12/25/dkpgqggvpa.html "It's down by the cool river, intersection of cool street and amazing road. You can't miss it."`

or,

`frenchpress reply coolblog.name/2015/12/25/dkpgqggvpa.html cool_map.jpg cool_detailed_directions.md`

etc.

Frenchpress helpfully supplies a copy/paste solution on each page, so you've only got to append your response.

### What else?

Planned for the future are methods to detect and respond to incoming replies, and to follow blogs of interest, without leaving the terminal. Also planned is themes support.

## FAQ

### But Octopress already exists?

Don't like it, so I made my own. Don't need the bells and whistles.

### This is really ugly.

I plan to support themes in a future version. And also to make the default theme not awful. 

You can edit the theme yourself by modifying the following files to your taste, if you've got the know-how:

`_layouts/index.html`  
`_layouts/post.html`  
`css/main.css`

### I'm having an issue! / I have a feature request!

The issue tracker is open! I'd love to hear your feedback.

### This code is bad!

Please improve on it in a PR, or otherwise inform me why the code is bad in a Github issue, nicely and without shouting. I am an entirely self-taught programmer, and while I try to stick to the ruby style guide and I'm constantly running checks on my code, I understand it still may not be "well programmed" for some definition of well programmed. Any constructive feedback you give will improve my future code, so please do give feedback if you see something done in a less than ideal manner. Thank you!


